Bug 378541 - Unable to activate external monitor using Fn key on kernel 2.6.23
Unable to activate external monitor using Fn key on kernel 2.6.23
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 14:01 EST by Sijis Aviles
Modified: 2008-06-16 22:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod, dmesg outputs not using a docking station. (29.29 KB, application/x-zip-compressed)
2008-01-21 00:23 EST, Sijis Aviles
no flags Details
lsmod, dmesg output with docking station. (28.19 KB, application/x-gzip)
2008-01-22 11:06 EST, Sijis Aviles
no flags Details
dumpkeys output on docking station. (17.05 KB, text/plain)
2008-01-23 10:03 EST, Sijis Aviles
no flags Details
showkey output on docking station. (191 bytes, text/plain)
2008-01-23 10:03 EST, Sijis Aviles
no flags Details

  None (edit)
Description Sijis Aviles 2007-11-12 14:01:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/2.0.0.9-1.fc7 Firefox/2.0.0.9

Description of problem:
I've updated to the latest FC7 kernel release (approximately a week ago) and since then I've been unable to use the FN (Function key). I use the FN key for my dual monitor setup in order to bring up the second monitor after I've logged into the system. Other FN combinations also do not work.

If I use my previous kernel (2.6.22.9-91.fc7), using FN+F8 works without any issues.

Version-Release number of selected component (if applicable):
kernel-2.6.23.1-21.fc7

How reproducible:
Always


Steps to Reproduce:
1. Configure a dual monitor setup
2. After login, hit FN+F8
3. You should see, minimally, a mirror of your current desktop. *if you press FN+f8, you should see your extended desktop.

Actual Results:
Nothing occurs. 2nd monitor does not respond to to commands and fedora system doesn't seem to respond to it either.

Expected Results:
The 2nd monitor should turn on and display a mirror of system.

Additional info:
2nd monitor is a ViewSonic VE155
D520 BIOS version: A06
Comment 1 Sijis Aviles 2007-12-13 10:00:20 EST
This issue is still occurring on the new kernel:
2.6.23.8-34.fc7
Comment 2 Christopher Brown 2008-01-15 23:20:45 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

Are you able to supply an dmesg for working and non-working kernel? If you can
also provide an lsmod that might help.
Comment 3 Sijis Aviles 2008-01-21 00:23:26 EST
Created attachment 292317 [details]
lsmod, dmesg outputs not using a docking station.
Comment 4 Sijis Aviles 2008-01-21 00:24:59 EST
I've attached the requested outputs of lsmod and dmesg of working and
non-working kernels. I forgot to mention in my original report that I was using
a docking station. I should be able to provide the outputs with using a docking
station within a few days.
Comment 5 Christopher Brown 2008-01-21 11:29:05 EST
(In reply to comment #4)
> I've attached the requested outputs of lsmod and dmesg of working and
> non-working kernels. I forgot to mention in my original report that I was using
> a docking station. I should be able to provide the outputs with using a docking
> station within a few days.

Okay, please do and then I'll assign this bug once we have that information.
Comment 6 Sijis Aviles 2008-01-22 11:06:55 EST
Created attachment 292530 [details]
lsmod, dmesg output with docking station.

Gathering this data, I did notice a difference in the dmesg logs.

When the FN+F8 combination worked, I saw the following (docked or not)
---
atkbd.c: Unknown key pressed (translated set 2, code 0x8b on isa0060/serio0).
atkbd.c: Use 'setkeycodes e00b <keycode>' to make it known.
---

This is what outputted when it did not work.
---
atkbd.c: Unknown key pressed (translated set 2, code 0x8b on isa0060/serio0).
atkbd.c: Use 'setkeycodes e00b <keycode>' to make it known.
video bus notify
---

Let me know if these is any other information I could provide.
Comment 7 Christopher Brown 2008-01-22 11:34:23 EST
Can you run:

$ dumpkeys > dumpkeys.out

then switch to another virtual terminal (e.g. Ctrl+Alt+F2) and run:

$ showkey -s > showkey.out

and press the Fn+F8 key combo once.

Then attach both to this bug as type text/plain.

Cheers
Chris
Comment 8 Chuck Ebbert 2008-01-22 16:17:09 EST
Does running this command as root make it work?

# echo 1 > /proc/acpi/video/*/DOS
Comment 9 Sijis Aviles 2008-01-23 10:03:11 EST
Created attachment 292642 [details]
dumpkeys output on docking station.

I was using kernel "2.6.23.8-34.fc7" when creating this file, if that makes a
difference (which I doubt).
Comment 10 Sijis Aviles 2008-01-23 10:03:51 EST
Created attachment 292643 [details]
showkey output on docking station.

I was using kernel "2.6.23.8-34.fc7" when creating this file.
Comment 11 Sijis Aviles 2008-01-23 10:09:10 EST
(In reply to comment #8)
> Does running this command as root make it work?
> 
> # echo 1 > /proc/acpi/video/*/DOS
> 

Yes, doing this did make it work!
In my case I saw /proc/acpi/video/VID/DOS and /proc/acpi/video/VID2/DOS.
Both were set to 0 initially. Changing the value of VID to 1 worked, but
changing VID2 to 1 did not. Also having them both set to 1 worked.

Out of curiosity, what is this exactly enabling?

Comment 12 Christopher Brown 2008-01-23 10:52:18 EST
Heh and here I am getting you to mess around with showkey/dumpkey...

For more info here is the git commit that I think this refers to:

http://tinyurl.com/38frty

You can put the command in rc.local if you wish. Not sure what the situation is
for 2.6.24...
Comment 13 Chuck Ebbert 2008-01-23 14:30:25 EST
I'm not sure if this is really a kernel bug. The kernel is expecting the video
driver to do the switching, and the driver should be setting this to 1 if it
can't do the switch.
Comment 14 Sijis Aviles 2008-01-25 14:55:55 EST
If this is not deemed a kernel bug, is there a way to tag this bug for that
group, so at least they are aware of it?
Comment 15 Chuck Ebbert 2008-01-25 15:15:13 EST
I assume this is happening with the X video drivers?

What should probably be happening is that display output switching should be on
by default and the X drivers that can handle it themselves can turn it off by
writing 0 to /proc/acpi/video/*/DOS ??

I'll add the xorg video driver maintainer to the bug...
Comment 16 Bug Zapper 2008-05-14 11:02:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2008-06-16 22:51:09 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.